Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

nodejs-devel-default-5.0-2.2 RPM for armv7hl

From OpenSuSE Ports Tumbleweed for armv7hl

Name: nodejs-devel-default Distribution: openSUSE Tumbleweed
Version: 5.0 Vendor: openSUSE
Release: 2.2 Build date: Mon Sep 13 17:16:37 2021
Group: Development/Languages/NodeJS Build host: obs-arm-5
Size: 0 Source RPM: nodejs-common-5.0-2.2.src.rpm
Packager: http://bugs.opensuse.org
Url: https://github.com/AdamMajer/nodejs-packaging
Summary: Headers for default version of nodejs
Depends on the most current and up-to-date version of nodejs for
the current architecture and codestream.

Provides

Requires

License

MIT

Changelog

* Mon Jun 21 2021 Andreas Schneider <asn@cryptomilk.org>
  - Allow building for Fedora in the OBS
* Fri Jun 18 2021 Adam Majer <adam.majer@suse.de>
  - Some applications do not like warnings or notices on stderr
    as they use it for other things. So make nodejs-common quiet
    unless we have a fatal error.
* Thu Jun 10 2021 Adam Majer <adam.majer@suse.de>
  - Use libalternatives on TW by default
* Mon May 31 2021 Adam Majer <adam.majer@suse.de>
  - Add libalternatives support
* Thu May 06 2021 Adam Majer <adam.majer@suse.de>
  - Enable 32-bit arches again on latest node for TW
  - Set TW to nodejs16
  - Set nodejs14 for SP3 as default and nodejs16 for SP4
* Thu Apr 29 2021 Dominique Leuenberger <dimstar@opensuse.org>
  - Provide nodejs(engine) by nodejs-common: nodejs-packaging happens
    to read the engines parameter from the json files and it's a
    nice-to-have if OBS can find out what the default nodejs engine
    to use.
* Thu Apr 15 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Use older nodejs (10) for %{arm}
* Tue Mar 09 2021 Adam Majer <adam.majer@suse.de>
  - Provide nodejs and npm and nodejs-devel by the appropriate
    defaults package
* Tue Jan 19 2021 Adam Majer <adam.majer@suse.de>
  - set nodejs14 as default for sle15-sp3+
  - set nodejs15 as default for TW
* Tue Jun 09 2020 Adam Majer <adam.majer@suse.de>
  - Add nodejs-default, npm-default and nodejs-devel-default subpackages
    to provide latest, best supported nodejs for current architecture
    and codestream.
    nodejs-default       - nodejs runtime only
    npm-default          - if you need npm + nodejs
    nodejs-devel-default - if you need npm + nodejs + compile modules
* Mon Dec 30 2019 Adam Majer <adam.majer@suse.de>
  - Bump max supported version to 42 to account for automatically
    built master branch called nodejs42
* Mon Oct 28 2019 Adam Majer <adam.majer@suse.de>
  - Remove extra -g from compiler command-line
* Fri Feb 01 2019 adam.majer@suse.de
  - Change the shell script to regular executable
* Fri Jun 22 2018 dcassany@suse.de
  - Add LICENSE text to the package
* Wed Aug 02 2017 adam.majer@suse.de
  - NodeJS 8.2.0 adds support for `npx` binary. Add conditional
    support to our wrapper
  - Print a helpful message if wrapper cannot find target executable
  - Wrapper only executes from /usr/bin and not PATH
* Tue Jul 18 2017 adam.majer@suse.de
  - Use MIT license so we don't have to ship the license text.
* Fri Jul 07 2017 adam.majer@suse.de
  - Initial release.

Files

No Filelist in the Package !

Generated by rpm2html 1.8.1

Fabrice Bellet, Fri Nov 19 23:17:08 2021